// Immediate answer v 2.0 created and designed by Jeremy bilien - May 2005
// "This widget contains parts of source code from <Google widged 1.1 > created by e dot studios (http://www.edot-studios.com)." 
// "Reuse of this code is prohibited without permission of the author."
var askCategory;
var askCategory = new Array("Web", "Images", "Groups", "News", "Froogle", "Maps", "Video");

function init() {

	if (window.widget) {


   		
   		askCategory = widget.preferenceForKey("category");
   		
   		if (typeof askCategory == "undefined") {
   			askCategory = "Web";
   			widget.setPreferenceForKey(askCategory, "category");	
   		}		
   		   		
		var chosenCategory = document.getElementById("chosenCategory");
		chosenCategory.innerText = askCategory;

		loadaskList();
   	}
}

function onshow() {

}

function onhide() {
	
}

function search() {
	var searchString = document.getElementById("searchField").value;
	
	var splittedArray = searchString.split(" ");
	var newSearchString = "";
	
	if (searchString.length == 0) return;
	
	newSearchString += splittedArray[0];
	for (i = 1; i < splittedArray.length; i++) {
		newSearchString += "+" + splittedArray[i];
	}
	
	var searchURL = "";
	
	switch (askCategory) {
		case "Web":
			searchURL = "http://www.google.com/search?hl=en&q="+newSearchString+"&btnG=Google+Search";
		break;
		case "Images":
			searchURL = "http://images.google.com/images?q="+newSearchString+"&hl=en&btnG=Search+Images";
		break;
		case "Groups":
			searchURL = "http://groups.google.com/groups?hl=en&q="+newSearchString;
		break;
		case "News":
			searchURL = "http://news.google.com/news?hl=en&ned=us&q="+newSearchString+"&btnG=Search+News";
		break;
				case "Froogle":
			searchURL = "http://froogle.google.com/froogle?q="+newSearchString+"&hl=en&btnG=Search+Froogle";
		break;
		case "Maps":
			searchURL = "http://news.google.com/maphp?hl=en&tab=nl&ned=us&q="+newSearchString;
		break;
		case "Video":
			searchURL = "http://video.google.com/videosearch?q="+newSearchString;
		break;
	
	}
	
	if (window.widget) {
		widget.openURL(searchURL);
	}
}

/* GUI Functions */

function popupMenuOver() {
	var popupMenu = document.getElementById("popupMenu");
	popupMenu.src = "Images/popupMenuOver.png";
}

function popupMenuOut() {
	var popupMenu = document.getElementById("popupMenu");
	popupMenu.src = "Images/popupMenu.png";
}

function handlePopupMenuList() {
	if (popupMenuList.style.display == "none")
		popupMenuList.style.display = "block";
	else
		popupMenuList.style.display = "none";
}

function categorySelected(element) {
	askCategory = element.innerText;
	chosenCategory.innerText = askCategory;
	
	handlePopupMenuList();
	
	widget.setPreferenceForKey(askCategory, "category");	
}
